datacache <- new.env(hash=TRUE, parent=emptyenv())

ragene20strnentrezg <- function() showQCData("ragene20strnentrezg", datacache)
ragene20strnentrezg_dbconn <- function() dbconn(datacache)
ragene20strnentrezg_dbfile <- function() dbfile(datacache)
ragene20strnentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
ragene20strnentrezg_dbInfo <- function() dbInfo(datacache)

ragene20strnentrezgORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "ragene20strnentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "ragene20strnentrezg", "chip ragene20strnentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("ragene20strnentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(ragene20strnentrezg_dbconn())
}

